# Cdata Class Reference
[HTML parser, Classes implemented in PHP's extension.]

Inheritance diagram for Cdata:
[legend]

List of all members.

## Public Member Functions

| setData ($data)
| getData ()
| getRawData ()
| setStrict ($isStrict)
| isStrict ()

## Static Public Member Functions

static | create ()

## Private Attributes

| $data = null
| $strict = false

## Detailed Description

Definition at line 16 of file Cdata.class.php.

## Member Function Documentation

static Cdata::create | ( |  | ) | `[static]`

Returns:
  Cdata

Definition at line 25 of file Cdata.class.php.

Referenced by HtmlTokenizer::commentState(), HtmlTokenizer::doctypeTagState(), and HtmlTokenizer::externalTagState().

Cdata::getData | ( |  | ) |

Definition at line 40 of file Cdata.class.php.

Referenced by HtmlTokenizer::removeWhitespaces().

Cdata::getRawData | ( |  | ) |

Definition at line 48 of file Cdata.class.php.

Cdata::isStrict | ( |  | ) |

Definition at line 65 of file Cdata.class.php.

Cdata::setData | ( | $ | data | ) |

Returns:
  Cdata

Definition at line 33 of file Cdata.class.php.

References $data.

Referenced by HtmlTokenizer::removeWhitespaces().

Cdata::setStrict | ( | $ | isStrict | ) |

Returns:
  Cdata

Definition at line 56 of file Cdata.class.php.

References Assert::isBoolean().

Here is the call graph for this function:

## Member Data Documentation

Cdata::$data = null`[private]`

Definition at line 18 of file Cdata.class.php.

Referenced by setData().

Cdata::$strict = false`[private]`

Definition at line 20 of file Cdata.class.php.

The documentation for this class was generated from the following file:

- main/Markup/Html/Cdata.class.php